apiVersion: v1alpha
kind: playwright
showConsoleLog: true
sauce:
  region: us-west-1
  concurrency: 20
  sauceignore: .sauceignore
playwright:
  version: 1.48.2
  configFile: playwright.config.ts

suites:
- name: 'ISS-NextGen-chromium'
  numShards: 20
  testMatch:
  - tests/0000__M.test.ts
  platformName: Windows 10
  env:
    DEBUG: "pw:worker"
    SAUCE_USERNAME: $SAUCE_USERNAME
    SAUCE_ACCESS_KEY: $SAUCE_ACCESS_KEY
  params:
    browserName: chrome
    project: "chromium"
  artifacts: "**test-results\\index.html"  
artifacts:
  cleanup: true
  download:
    match:
    - '*'
    when: always
    directory: ./artifacts

# - name: 'Mobile Android Chrome Tests'
#   shard: spec
#   testMatch:
#   - e2e/
#   platformName: Windows 11
#   params:
#     browserName: chrome
#     project: "Mobile Android Tests"

# - name: 'Desktop Safari'
#   testMatch:
#   - .ts
#   platformName: Windows 10
#   params:
#     browserName: webkit
#     project: "webkit"


# - name: 'Mobile iOS Tests'
#   shard: spec
#   testMatch:
#   - e2e/
#   platformName: macOS 13
#   params:
#     browserName: webkit
#     project: "Mobile iOS Tests"
#   env:
#     DEBUG: "pw:worker"
    
docker:
  file: Dockerfile
  image: isscqa-playwright-image 

rootDir: ./
reporters:
  spotlight: # Prints an overview of failed or otherwise interesting jobs.
    enabled: true
npm:
  dependencies:
    - "package.json"

